textures/turbopoint_misc/fog1
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	//surfaceparm playerclip
	{
		map textures/turbopoint_misc/fog1.tga
		blendfunc blend
	}
}

textures/turbopoint_misc/black_fog
{
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_editorimage textures/turbopoint_misc/black.tga
        qer_trans 0.3
	q3map_globaltexture
	fogparms ( 0 0 0 ) 768
}

textures/turbopoint_misc/metal_clip
{
	qer_editorimage textures/turbopoint_misc/blank.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	qer_trans 0.5
	{
		map textures/turbopoint_misc/blank.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/turbopoint_misc/sky_clip
{
	qer_editorimage textures/turbopoint_misc/sky.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_trans 0.5
	{
		map textures/turbopoint_misc/blank.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/turbopoint_misc/river
{
	qer_editorimage textures/turbopoint_liquid/water_04.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 160 sin 0 1 0 0.3 
	q3map_globaltexture
	nofog
	{
		map textures/turbopoint_liquid/water_04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.4 0.4
		tcMod scroll 0 0.02
	}
}

textures/turbopoint_misc/dummy_water
{
	qer_editorimage textures/turbopoint_liquid/water_04.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	qer_trans 0.5
}

textures/turbopoint_misc/trigger_clip
{
	qer_editorimage textures/turbopoint_misc/trigclip.tga
	surfaceparm noimpact
	surfaceparm nomarks
	qer_trans 0.5
	{
		map textures/turbopoint_misc/blank.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/turbopoint_misc/water_reflect
{

	{
		map textures/miltary_wall/concrete_m01a.tga
		rgbgen identity	
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	
}

textures/turbopoint_misc/shadow
{
	qer_editorimage	textures/turbopoint_misc/rad_shadow.tga
	nofog
        {
                map textures/turbopoint_misc/shadow.tga
              	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
     	}
}

textures/turbopoint_misc/tree_shadow
{
	nofog
        {
                map textures/turbopoint_misc/tree_shadow.tga
              	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
     	}
}

textures/turbopoint_misc/mirror_glass
{
	surfaceparm glass	
	surfaceparm trans	
	cull none
	qer_editorimage textures/common/glass.tga
	qer_trans 	0.5
     
      	{
		map textures/effects/tinfx5.tga
          	tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/turbopoint_misc/movie
{
    	surfaceparm trans
   	surfaceparm nolightmap
	cull disable
	{
		videoMap mp_schwalbe_video.roq
                rgbGen identity
		tcmod scale .625 .125
	}

       
}

textures/sfx/beam_1
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map textures/sfx/beam_1.tga
                tcMod Scroll .15 0
                blendFunc add
        }
     
}

textures/turbopoint_misc/clip_wood
{
    qer_editorimage textures/turbopoint_misc/woodclip.tga
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm woodsteps
}

